package com.wd.workoffice.model;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.contract.ErpActivationContract;
import com.wd.workoffice.retrofit.RtfUtils;

import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ErpActivationModel implements ErpActivationContract.Model {
    @Override
    public Observable<BaseBean> getInfo(String phone) {
        return RtfUtils.getRtf().getInfo(phone);
    }

    @Override
    public Observable<BaseBean> getCode(String phone, String type) {
        return RtfUtils.getRtf().code(phone, type);
    }

    @Override
    public Observable<BaseBean> verifyCode(String phone, String verifyCode, String type) {
        return RtfUtils.getRtf().verifyCode(phone, verifyCode, type);
    }

    public static ErpActivationModel newInstance() {
        return new ErpActivationModel();
    }
}
